package
{

	import flash.display.Sprite;
	import flash.display.Graphics;
	import flash.display.Loader;
	import flash.net.URLRequest;
	import Vera;
	
	public class Back extends Sprite
	{
		public function Back():void
		{
			// dessin du cadre
			var back:Sprite = new Sprite();
			back.graphics.lineStyle(3, 0xbbdddd);
			back.graphics.drawRoundRect(5, 5, 630, 470, 20, 20);
			back.graphics.lineStyle(1, 0xbbdddd);
			var i:int;
			
			// dessin du cadrillage de fond
			for(i=1; i<12;i++)
			{
				back.graphics.moveTo(5, i*40);
				back.graphics.lineTo(635, i*40);
			}
			for(i=1; i<16;i++)
			{
				back.graphics.moveTo(i*40, 5);
				back.graphics.lineTo(i*40, 475);
			}
			this.addChild(back);
			
			// banniere
			var bann:Sprite = new Sprite();
			bann.graphics.lineStyle(3, 0xbbdddd);
			bann.graphics.beginFill(0xFFFFFF);
			bann.graphics.drawRoundRect(15, 15, 610, 80, 10, 10);
			this.addChild(bann);
			
			// ajout des images pour le logo et le nom
			var logu:URLRequest = new URLRequest('./assets/img/logo.png');
			var logo:Loader = new Loader();
			logo.load(logu);
			logo.x = 20;
			logo.y = 25;
			this.addChild(logo);
			var titru:URLRequest = new URLRequest('./assets/img/sigen.png');
			var titre:Loader = new Loader();
			titre.load(titru);
			titre.x = 150;
			titre.y = 35;
			this.addChild(titre);
			
			// affichage du sous-titre
			var sous:Vera = new Vera('Générateur de signaux', 300, 'l', 18, 'vert');
			sous.x = 330;
			sous.y = 55;
			this.addChild(sous);
			
			// affichage du pied de page
			var ment:Vera = new Vera("Créé par Antonin Segault, au département mutimédia de l'Université de Franche Comté, pour le lycée Viette - 2011", 600, 'c', 10, 'vert');
			ment.x = 20;
			ment.y = 450;
			this.addChild(ment);
		}
	}
}