package
{

	import flash.display.Sprite;
	import flash.display.Graphics;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import Eval;
	import Menu;
	import Sign;
	import Simu;
	import Vera;
	
	public class Page extends Sprite
	{
		private var d:XML = new XML(); // xml du cours
		private var n:String; // numero de page de cours courante
		
		public function Page():void
		{
			this.y = 0;
			this.x = 180;
			
			// chargement du xml
			var u:URLRequest = new URLRequest('./assets/cours.xml');
			var c:URLLoader = new URLLoader(u);
			c.addEventListener(Event.COMPLETE, parseur);
			function parseur(e:Event):void
			{
				d = XML(e.target.data);
			}
		}
		
		// acceder a la page precedente
		public function pagePre(e:MouseEvent):void
		{
			// mise a jour du menu
			Menu(this.parent).refresh('c' + String(int(this.n.charAt(1)) - 1));
			// affichage de la page
			this.navig('c' + String(int(this.n.charAt(1)) - 1));
		}
		
		// acceder a la page precedente
		public function pageSui(e:MouseEvent):void
		{
			// mise a jour du menu
			Menu(this.parent).refresh('c' + String(int(this.n.charAt(1)) + 1));
			// affichage de la page
			this.navig('c' + String(int(this.n.charAt(1)) + 1));
		}
		
		// affichage de la page
		public function navig(n:String):void
		{
			var b:int = this.numChildren;
			var j:int;
			for(j = 0; j < b; j++)
			{
				this.removeChildAt(0);
			}
			
			this.n = n;
			
			// page de cours
			if(n.charAt(0) == 'c')
			{
				// bouton page precedente
				if(parseInt(this.n.charAt(1)) > 1)
				{
					var pre:Vera = new Vera('< Page précédente', 150, 'l', 12, 'vert');
					pre.x = 150;
					pre.y = 260;
					pre.buttonMode = true;
					this.addChild(pre);
					pre.addEventListener(MouseEvent.CLICK, pagePre);
				}
				
				// bouton page suivante
				if(parseInt(this.n.charAt(1)) < 5)
				{
					var sui:Vera = new Vera('Page Suivante >', 150, 'l', 12, 'vert');
					sui.x = 300;
					sui.y = 260;
					sui.buttonMode = true;
					this.addChild(sui);
					sui.addEventListener(MouseEvent.CLICK, pageSui);
				}
				
				var o:int = 0; // offset vertical
				var p:int = 0; // offset horizontal
				var l:XMLList = d.page.(@id == int(this.n.charAt(1))).children();
				for(var i:int = 0; i < l.length(); i++)
				{
					// zones de texte
					if(l[i].valueOf() != '')
					{
						var r:Vera = new Vera(l[i].valueOf());
						r.y = o;
						this.addChild(r);
						p = 0;
						o += r.height;
						o += 20;
					}
					// courbes
					else
					{
						var s:Sign = new Sign(l[i].@largeur, l[i].@hauteur, String(l[i].@forme), l[i].@frequence, l[i].@amplitude, l[i].@offset, l[i].@rapport, toBoolean(l[i].@moyenne), toBoolean(l[i].@remplissage), l[i].@legende);
						s.y = o;
						s.x = p;
						this.addChild(s)
						if(l[(i+1)].valueOf() == '')
						{
							p += int(l[i].@largeur);
							p += 20;
						}
						else
						{
							o += int(l[i].@hauteur);
							o += 40;
						}
					}
				}
			}
			
			// manipulation
			else if(this.n.charAt(0) == 'm')
			{
				var m:Simu = new Simu();
				this.addChild(m);
			}
			
			// evaluation
			else if(this.n.charAt(0) == 'e')
			{
				if(this.n.charAt(1) == '1') // qcm
				{
					var q:Eval = new Eval();
					this.addChild(q);
				}
				else // manip
				{
					var e:Simu = new Simu(true);
					this.addChild(e);
				}
			}
		}
		
		// utilitaire de conversion de chaines true/false en booleen
		public function toBoolean(val:String):Boolean  
		{  
			if (val == "true") { return true; } else { return false; }  
		}
		
	}
}